FunctionsOperations Class
FunctionsOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectFunctionsOperations
Constructor
FunctionsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_test |
Tests if the information provided for a function is valid. This can range from testing the connection to the underlying web service behind the function or making sure the function code provided is syntactically correct. |
| create_or_replace |
Creates a function or replaces an already existing function under an existing streaming job. |
| delete |
Deletes a function from the streaming job. |
| get |
Gets details about the specified function. |
| list_by_streaming_job |
Lists all of the functions under the specified streaming job. |
| retrieve_default_definition |
Retrieves the default definition of a function based on the parameters specified. |
| update |
Updates an existing function under an existing streaming job. This can be used to partially update (ie. update one or two properties) a function without affecting the rest the job or function definition. |
begin_test
Tests if the information provided for a function is valid. This can range from testing the connection to the underlying web service behind the function or making sure the function code provided is syntactically correct.
async begin_test(resource_group_name: str, job_name: str, function_name: str, function: Optional[azure.mgmt.streamanalytics.models._models_py3.Function] = None, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.streamanalytics.models._models_py3.ResourceTestStatus]
Parameters
- function
- <xref:stream_analytics_management_client.models.Function>
If the function specified does not already exist, this parameter must contain the full function definition intended to be tested. If the function specified already exists, this parameter can be left null to test the existing function as is or if specified, the properties specified will overwrite the corresponding properties in the existing function (exactly like a PATCH operation) and the resulting function will be tested.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either ResourceTestStatus or the result of cls(response)
Return type
Exceptions
create_or_replace
Creates a function or replaces an already existing function under an existing streaming job.
async create_or_replace(resource_group_name: str, job_name: str, function_name: str, function: azure.mgmt.streamanalytics.models._models_py3.Function, if_match: Optional[str] = None, if_none_match: Optional[str] = None, **kwargs) -> azure.mgmt.streamanalytics.models._models_py3.Function
Parameters
- function
- <xref:stream_analytics_management_client.models.Function>
The definition of the function that will be used to create a new function or replace the existing one under the streaming job.
- if_match
- str
The ETag of the function. Omit this value to always overwrite the current function. Specify the last-seen ETag value to prevent accidentally overwriting concurrent changes.
- if_none_match
- str
Set to '*' to allow a new function to be created, but to prevent updating an existing function. Other values will result in a 412 Pre-condition Failed response.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Function, or the result of cls(response)
Return type
Exceptions
delete
Deletes a function from the streaming job.
async delete(resource_group_name: str, job_name: str, function_name: str, **kwargs) -> None
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
None, or the result of cls(response)
Return type
Exceptions
get
Gets details about the specified function.
async get(resource_group_name: str, job_name: str, function_name: str, **kwargs) -> azure.mgmt.streamanalytics.models._models_py3.Function
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Function, or the result of cls(response)
Return type
Exceptions
list_by_streaming_job
Lists all of the functions under the specified streaming job.
list_by_streaming_job(resource_group_name: str, job_name: str, select: Optional[str] = None, **kwargs) -> AsyncIterable[azure.mgmt.streamanalytics.models._models_py3.FunctionListResult]
Parameters
- select
- str
The $select OData query parameter. This is a comma-separated list of structural properties to include in the response, or "" to include all properties. By default, all properties are returned except diagnostics. Currently only accepts '' as a valid value.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either FunctionListResult or the result of cls(response)
Return type
Exceptions
retrieve_default_definition
Retrieves the default definition of a function based on the parameters specified.
async retrieve_default_definition(resource_group_name: str, job_name: str, function_name: str, function_retrieve_default_definition_parameters: Optional[azure.mgmt.streamanalytics.models._models_py3.FunctionRetrieveDefaultDefinitionParameters] = None, **kwargs) -> azure.mgmt.streamanalytics.models._models_py3.Function
Parameters
- function_retrieve_default_definition_parameters
- <xref:stream_analytics_management_client.models.FunctionRetrieveDefaultDefinitionParameters>
Parameters used to specify the type of function to retrieve the default definition for.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Function, or the result of cls(response)
Return type
Exceptions
update
Updates an existing function under an existing streaming job. This can be used to partially update (ie. update one or two properties) a function without affecting the rest the job or function definition.
async update(resource_group_name: str, job_name: str, function_name: str, function: azure.mgmt.streamanalytics.models._models_py3.Function, if_match: Optional[str] = None, **kwargs) -> azure.mgmt.streamanalytics.models._models_py3.Function
Parameters
- function
- <xref:stream_analytics_management_client.models.Function>
A function object. The properties specified here will overwrite the corresponding properties in the existing function (ie. Those properties will be updated). Any properties that are set to null here will mean that the corresponding property in the existing function will remain the same and not change as a result of this PATCH operation.
- if_match
- str
The ETag of the function. Omit this value to always overwrite the current function. Specify the last-seen ETag value to prevent accidentally overwriting concurrent changes.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Function, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.streamanalytics.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\streamanalytics\\models\\__init__.py'>
Feedback
Submit and view feedback for